name: interop

on:
  push:
    branches:
    - master

jobs:
  build:

    runs-on: ubuntu-18.04

    steps:
    - uses: actions/checkout@v2
    - name: Build and publish interop docker image
      uses: docker/build-push-action@v1
      with:
        path: interop
        username: ${{ secrets.DOCKER_USERNAME }}
        password: ${{ secrets.DOCKER_PASSWORD }}
        repository: ngtcp2/ngtcp2-interop
        add_git_labels: true
        tags: latest
